OperationCreateBentPlateByFaces Method (Part, IListPoint, Part, IListPoint) |
Modifies the first plate by adding a cylindrical bend that connects it to the second plate
creating a new BentPlate instance based on two parts and selected faces in each part.
See CreateBentPlateByFaces(Part, IListPoint, Part, IListPoint, BentPlateBendShape).
Namespace: Tekla.Structures.Model.Operations
Assembly: Tekla.Structures.Model (in Tekla.Structures.Model.dll) Version: 2023.0.3
Syntax
public static BentPlate CreateBentPlateByFaces( Part part1, IList<Point> face1, Part part2, IList<Point> face2 )
Parameters
- part1
- Type: Tekla.Structures.ModelPart
The first part. - face1
- Type: System.Collections.GenericIListPoint
The selected face on the first part. - part2
- Type: Tekla.Structures.ModelPart
The second part. - face2
- Type: System.Collections.GenericIListPoint
The selected face on the second part.
Return Value
Type: BentPlateThe bent plate object if successful, null otherwise.
See Also